Upstream information

CVE-2017-6414 at MITRE

Description

Memory leak in the vcard_apdu_new function in card_7816.c in libcacard before 2.5.3 allows local guest OS users to cause a denial of service (host memory consumption) via vectors related to allocating a new APDU object.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.9 1.5
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C AV:L/AC:M/Au:S/C:N/I:N/A:P
Access Vector Local Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Changed
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entries: 1027514 [RESOLVED / FIXED], 1027570 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen-devel >= 4.4.4_16-54.1
Patchnames:
sdksp4-xen-13069
SUSE Linux Enterprise Desktop 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-devel >= 4.5.5_10-22.14.1
  • xen-kmp-default >= 4.5.5_10_k3.12.69_60.64.35-22.14.1
  • xen-libs >= 4.5.5_10-22.14.1
  • xen-libs-32bit >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-661
SUSE-SLE-SDK-12-SP1-2017-661
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libcacard0-2.5.3-1.27
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libcacard0-2.5.3-1.27
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Server Applications 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Storage 6
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • libcacard-devel >= 2.5.3-1.27
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Server Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Storage 7
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libcacard-devel >= 2.5.3-1.27
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libcacard-devel >= 2.5.3-1.27
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libcacard0-2.5.3-1.27
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libcacard-devel >= 2.5.3-1.27
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libcacard0-2.5.3-1.27
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Server Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libcacard-devel >= 2.5.3-1.27
  • libcacard0 >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • libcacard-devel >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • libcacard-devel >= 2.5.3-1.27
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA libcacard-devel-2.5.3-1.27
SUSE Linux Enterprise Point of Sale 11 SP3
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-libs >= 4.2.5_21-38.1
  • xen-tools-domU >= 4.2.5_21-38.1
Patchnames:
sleposp3-xen-13067
SUSE Linux Enterprise Server 11 SP3-LTSS
  • xen >= 4.2.5_21-38.1
  • xen-doc-html >= 4.2.5_21-38.1
  • xen-doc-pdf >= 4.2.5_21-38.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-libs >= 4.2.5_21-38.1
  • xen-libs-32bit >= 4.2.5_21-38.1
  • xen-tools >= 4.2.5_21-38.1
  • xen-tools-domU >= 4.2.5_21-38.1
Patchnames:
slessp3-xen-13067
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xen >= 4.4.4_16-54.1
  • xen-devel >= 4.4.4_16-54.1
  • xen-doc-html >= 4.4.4_16-54.1
  • xen-kmp-default >= 4.4.4_16_3.0.101_97-54.1
  • xen-kmp-pae >= 4.4.4_16_3.0.101_97-54.1
  • xen-libs >= 4.4.4_16-54.1
  • xen-libs-32bit >= 4.4.4_16-54.1
  • xen-tools >= 4.4.4_16-54.1
  • xen-tools-domU >= 4.4.4_16-54.1
Patchnames:
sdksp4-xen-13069
slessp4-xen-13069
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.5_10-22.14.1
  • xen-devel >= 4.5.5_10-22.14.1
  • xen-doc-html >= 4.5.5_10-22.14.1
  • xen-kmp-default >= 4.5.5_10_k3.12.69_60.64.35-22.14.1
  • xen-libs >= 4.5.5_10-22.14.1
  • xen-libs-32bit >= 4.5.5_10-22.14.1
  • xen-tools >= 4.5.5_10-22.14.1
  • xen-tools-domU >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-661
SUSE-SLE-SERVER-12-SP1-2017-661
SUSE Linux Enterprise Server 12-LTSS
  • xen >= 4.4.4_16-22.36.1
  • xen-doc-html >= 4.4.4_16-22.36.1
  • xen-kmp-default >= 4.4.4_16_k3.12.61_52.69-22.36.1
  • xen-libs >= 4.4.4_16-22.36.1
  • xen-libs-32bit >= 4.4.4_16-22.36.1
  • xen-tools >= 4.4.4_16-22.36.1
  • xen-tools-domU >= 4.4.4_16-22.36.1
Patchnames:
SUSE-SLE-SERVER-12-2017-626
SUSE Linux Enterprise Server for SAP Applications 12
  • xen >= 4.4.4_16-22.36.1
  • xen-doc-html >= 4.4.4_16-22.36.1
  • xen-kmp-default >= 4.4.4_16_k3.12.61_52.69-22.36.1
  • xen-libs >= 4.4.4_16-22.36.1
  • xen-libs-32bit >= 4.4.4_16-22.36.1
  • xen-tools >= 4.4.4_16-22.36.1
  • xen-tools-domU >= 4.4.4_16-22.36.1
Patchnames:
SUSE-SLE-SAP-12-2017-626
SUSE Linux Enterprise Software Development Kit 12 SP1
  • xen-devel >= 4.5.5_10-22.14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-661
SUSE Manager 2.1
  • xen >= 4.2.5_21-38.1
  • xen-doc-html >= 4.2.5_21-38.1
  • xen-doc-pdf >= 4.2.5_21-38.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-libs >= 4.2.5_21-38.1
  • xen-libs-32bit >= 4.2.5_21-38.1
  • xen-tools >= 4.2.5_21-38.1
  • xen-tools-domU >= 4.2.5_21-38.1
Patchnames:
sleman21-xen-13067
SUSE Manager Proxy 2.1
  • xen >= 4.2.5_21-38.1
  • xen-doc-html >= 4.2.5_21-38.1
  • xen-doc-pdf >= 4.2.5_21-38.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-libs >= 4.2.5_21-38.1
  • xen-libs-32bit >= 4.2.5_21-38.1
  • xen-tools >= 4.2.5_21-38.1
  • xen-tools-domU >= 4.2.5_21-38.1
Patchnames:
slemap21-xen-13067
SUSE OpenStack Cloud 5
  • xen >= 4.2.5_21-38.1
  • xen-doc-html >= 4.2.5_21-38.1
  • xen-doc-pdf >= 4.2.5_21-38.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.99-38.1
  • xen-libs >= 4.2.5_21-38.1
  • xen-libs-32bit >= 4.2.5_21-38.1
  • xen-tools >= 4.2.5_21-38.1
  • xen-tools-domU >= 4.2.5_21-38.1
Patchnames:
sleclo50sp3-xen-13067
openSUSE Leap 15.0
  • libcacard0 >= 2.5.3-lp150.1.8
Patchnames:
openSUSE Leap 15.0 GA libcacard0-2.5.3-lp150.1.8
openSUSE Leap 15.2
  • libcacard0 >= 2.5.3-lp152.3.9
Patchnames:
openSUSE Leap 15.2 GA libcacard0-2.5.3-lp152.3.3
openSUSE Leap 15.3
  • libcacard0 >= 2.5.3-1.27
Patchnames:
openSUSE Leap 15.3 GA libcacard0-2.5.3-1.27
openSUSE Leap 15.4
  • libcacard0 >= 2.5.3-1.27
Patchnames:
openSUSE Leap 15.4 GA libcacard0-2.5.3-1.27
openSUSE Tumbleweed
  • libcacard-devel >= 2.8.0-1.7
  • libcacard0 >= 2.8.0-1.7
Patchnames:
openSUSE Tumbleweed GA libcacard-devel-2.8.0-1.7


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.5 qemu Analysis
SUSE CaaS Platform 4.5 xen Not affected
SUSE Enterprise Storage 7 qemu Not affected
SUSE Enterprise Storage 7 xen Not affected
SUSE Linux Enterprise Desktop 11 SP4 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP1 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP3 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP3 xen Not affected
SUSE Linux Enterprise Desktop 15 SP4 qemu Not affected
SUSE Linux Enterprise Desktop 15 SP4 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 qemu Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 xen Not affected
SUSE Linux Enterprise Micro 5.0 qemu Not affected
SUSE Linux Enterprise Micro 5.0 xen Not affected
SUSE Linux Enterprise Micro 5.1 qemu Not affected
SUSE Linux Enterprise Micro 5.1 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 qemu Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 qemu Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 xen Not affected
SUSE Linux Enterprise Point of Service 11 SP3 qemu Not affected
SUSE Linux Enterprise Point of Service 11 SP3 xen Not affected
SUSE Linux Enterprise Real Time 15 SP2 qemu Not affected
SUSE Linux Enterprise Real Time 15 SP2 xen Not affected
SUSE Linux Enterprise Server 11 SP1 kvm Not affected
SUSE Linux Enterprise Server 11 SP3 kvm Not affected
SUSE Linux Enterprise Server 11 SP3 xen Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP4 qemu Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP1 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS qemu Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS xen Not affected
SUSE Linux Enterprise Server 15 SP3 qemu Not affected
SUSE Linux Enterprise Server 15 SP3 xen Not affected
SUSE Linux Enterprise Server 15 SP4 qemu Not affected
SUSE Linux Enterprise Server 15 SP4 xen Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 qemu Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 xen Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 qemu Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 xen Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 qemu Not affected
SUSE Linux Enterprise Storage 7.1 qemu Not affected
SUSE Linux Enterprise Storage 7.1 xen Not affected
SUSE Manager Proxy 4.1 qemu Not affected
SUSE Manager Proxy 4.1 xen Not affected
SUSE Manager Proxy 4.2 qemu Not affected
SUSE Manager Proxy 4.2 xen Not affected
SUSE Manager Proxy 4.3 qemu Not affected
SUSE Manager Proxy 4.3 xen Not affected
SUSE Manager Retail Branch Server 4.1 qemu Not affected
SUSE Manager Retail Branch Server 4.1 xen Not affected
SUSE Manager Retail Branch Server 4.2 qemu Not affected
SUSE Manager Retail Branch Server 4.2 xen Not affected
SUSE Manager Retail Branch Server 4.3 qemu Not affected
SUSE Manager Retail Branch Server 4.3 xen Not affected
SUSE Manager Server 4.1 qemu Not affected
SUSE Manager Server 4.1 xen Not affected
SUSE Manager Server 4.2 qemu Not affected
SUSE Manager Server 4.2 xen Not affected
SUSE Manager Server 4.3 qemu Not affected
SUSE Manager Server 4.3 xen Not affected
SUSE Studio Onsite 1.3 qemu Not affected
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.4/libguestfs-tools:0.49.0
suse/sles/15.4/virt-launcher:0.49.0
qemuNot affected